using System;
using System.IO;
using System.Globalization;

namespace Repository
{
	/// <summary>
	/// <p>Write log entries on log.html.<br/>
	/// Used by audit.aspx.</p>
	/// <p>Copyright (c) 2002 Alexis Grandemange<br/>
	/// Mail: alexis.grandemange@pagebox.net</p>
	/// <pre>This program is free software; you can redistribute it and/or
	/// modify it under the terms of the GNU Lesser General Public
	/// License as published by the Free Software Foundation; version
	/// 2.1 of the License.
	/// This library is distributed in the hope that it will be useful,
	/// but WITHOUT ANY WARRANTY; without even the implied warranty of
	/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	/// GNU Lesser General Public License for more details.
	/// A copy of the GNU Lesser General Public License lesser.txt should be
	/// included in the distribution.</pre>
	/// </summary>
	public class Log
	{
		/// <summary>
		/// Write a log line.
		/// </summary>
		/// <param name="user">log for an action of this user</param>
		/// <param name="host">host which triggered the action</param>
		/// <param name="cmd">command</param>
		public static void write(string user, string host, string cmd)
		{
			lock(typeof(Log)) 
			{
				DateTime dt = DateTime.Now;
				StreamWriter sw = File.AppendText(Global.path + "\\log.rep");
				sw.WriteLine("<tr><td>" + dt.ToString("u", DateTimeFormatInfo.InvariantInfo) +
					"</td><td>" + host + "</td><td>" + user + "</td><td>" + cmd + "</td></tr>");
				sw.Close();
			}
		}
	}
}
